pcre_config {base} | R Documentation

## Report Configuration Options for PCRE

### Description

Report some of the configuration options of the version of PCRE in use in this R session.

### Usage

    pcre_config()

### Value

A named logical vector, currently with elements

`UTF-8` | Support for UTF-8 inputs. Required.
`Unicode properties` | Support for \p{xx} and \P{xx} in regular expressions. Desirable and used by some CRAN packages.
`JIT` | Support for just-in-time compilation. Desirable for speed (but only available as compile-time option on certain architectures as from PCRE 8.20).

### See Also

`extSoftVersion` for the PCRE version.

### Examples

    pcre_config()

[Package base version 3.3.2 Index]